import random
from subprocess import Popen, PIPE, TimeoutExpired

def make_test(test_number):
    random.seed(test_number)
    a, b = random.randint(0, 10000), random.randint(0, 10000)
    return f"{a} {b}"

def check(test, answer_ok, answer_nok):
    return answer_ok == answer_nok

def correct(test):
    a, b = map(int,test.split())
    return f"{a + b}\n"

def invoke(path, test: str, tl=1):
    p = Popen(path, stdin=PIPE, stdout=PIPE)

    if test:
        p.stdin.write(test.encode())
        p.stdin.flush()
        p.stdin.close()
    try:
        p.wait(tl)
    except TimeoutExpired:
        print(f"Program {path} TL'd.")
        print("Input was")
        print(test)
        exit(3)

    if p.returncode != 0:
        print(f"Program {path} RE'd.")
        print("Input was")
        print(test)
        exit(2)
    else:
        return p.stdout.read().decode()
    

def main():
    test_number = 1
    while True: # Основной цикл тестирования
        print("Test #", test_number, sep='')
        test = make_test(test_number)
        answer_ok = correct(test)
        answer_nok = invoke("./incorrect", test)
        if not check(test, answer_ok, answer_nok):
            print("WA on test", test_number)
            print("test was")
            print(test)
            print("ok answer")
            print(answer_ok)
            print("nok answer")
            print(answer_nok)
            exit(1)
        test_number += 1
        
main()
