#include <iostream>
#include <random>
#include <utility>
#include <cstdlib>

using namespace std;

typedef int ANS;
typedef pair<int, int> TEST;

bool checker(TEST test, ANS ok, ANS wa) {
	return ok == wa;
}

ANS correct_sol(TEST test) {
	return test.first + test.second;
}

ANS incorrect_sol(TEST test) {
	if (test.first == 30) {
		char *ptr = nullptr;
		return *ptr;
	}
	return test.first + test.second;
}

TEST make_test(int test_number) {
	mt19937 rnd(test_number);
	int a = rnd() % 100000;
	int b = rnd() % 100;
	return {a, b};
}

int stress() {
	for(int test_number = 0;; test_number++) {
		cout << "Testing " << test_number << endl;
		TEST test = make_test(test_number);
		ANS ok = correct_sol(test);
		ANS nok = incorrect_sol(test);
		if (!checker(test, ok, nok)) {
			cout << "WA on test " << test_number << endl;
			cout << "Test was\n" << test.first << " " << test.second << endl;
			cout << "Correct answer\n" << ok << endl;
			cout << "Incorrect\n" << nok << endl; 
			return 0;
		}
	}
}

int main() {
	stress();
	// int a, b;
	// cin >> a >> b;
	// cout << correct_sol({a, b});
}
